The AltiVec code in libswscale no longer is under GPL.
authorDiego Biurrun <diego@biurrun.de>
Sun, 5 Jul 2009 20:10:59 +0000 (20:10 +0000)
committerDiego Biurrun <diego@biurrun.de>
Sun, 5 Jul 2009 20:10:59 +0000 (20:10 +0000)
Remove one erroneous preprocessor check for CONFIG_GPL in the AltiVec code.

Originally committed as revision 29412 to svn://svn.mplayerhq.hu/mplayer/trunk/libswscale

libswscale/yuv2rgb.c

index 753bd48..9664929 100644 (file)
@@ -511,7 +511,7 @@ SwsFunc ff_yuv2rgb_get_func_ptr(SwsContext *c)
 #if CONFIG_MLIB
     t = ff_yuv2rgb_init_mlib(c);
 #endif
-#if HAVE_ALTIVEC && CONFIG_GPL
+#if HAVE_ALTIVEC
     if (c->flags & SWS_CPU_CAPS_ALTIVEC)
         t = ff_yuv2rgb_init_altivec(c);
 #endif